-- Originally based on the table at http://www.goodintentionsguild.info/hunters.html
-- Additional information from http://www.tkasomething.com/petskills.php
-- And many individual contributors!

FHH_SpellIcons = {
	["Spell_Nature_GuardianWard"] = "reflexes",
	["Spell_Magic_LesserInvisibility"] = "avoidance",
	["Spell_Nature_StarFall"] = "resist",
	["Spell_Fire_FireArmor"] = "resist",
	["Spell_Frost_FrostWard"] = "resist",
	["Spell_Nature_ResistNature"] = "resist",
	["Spell_Shadow_AntiShadow"] = "resist",
	["Spell_Nature_UnyeildingStamina"] = "stamina",
	["Spell_Nature_SpiritArmor"] = "armor",
	["Ability_Racial_Cannibalize"] = "bite",
	["Ability_Druid_Cower"] = "cower",
	["Ability_Druid_Rake"] = "claw",
	["Ability_Druid_Dash"] = "dash",
	["Spell_Shadow_BurningSpirit"] = "dive",
	["Ability_Physical_Taunt"] = "growl",
	["Ability_Hunter_Pet_Wolf"] = "howl",
	["Spell_Nature_Lightning"] = "lightning",
	["Ability_PoisonSting"] = "poison",
	["Ability_Druid_SupriseAttack"] = "prowl",
	["Ability_Hunter_Pet_Bat"] = "screech",
	["Ability_Hunter_Pet_Boar"] = "charge",
	["Ability_Hunter_Pet_Turtle"] = "shell",
	["Ability_Hunter_Pet_Gorilla"] = "thunderstomp",
	["Spell_Fire_Burnout"] = "firebreath",
	["INV_Weapon_Shortblade_28"] = "gore",
	["Spell_Arcane_Arcane04"] = "warp",
	["Spell_Nature_CorrosiveBreath"] = "spit",
};

FHH_SpellNamesToIDs = {
	[FHH_ARCANE_RESIST] = "resist",
	[FHH_FIRE_RESIST] = "resist",
	[FHH_FROST_RESIST] = "resist",
	[FHH_NATURE_RESIST] = "resist",
	[FHH_SHADOW_RESIST] = "resist",
	[FHH_STAMINA] = "stamina",
	[FHH_ARMOR] = "armor",
	[FHH_BITE] = "bite",
	[FHH_CLAW] = "claw",
	[FHH_COWER] = "cower",
	[FHH_DASH] = "dash",
	[FHH_DIVE] = "dive",
	[FHH_GROWL] = "growl",
	[FHH_HOWL] = "howl",
	[FHH_LIGHTNING] = "lightning",
	[FHH_POISON] = "poison",
	[FHH_PROWL] = "prowl",
	[FHH_SCREECH] = "screech",
	[FHH_CHARGE] = "charge",
	[FHH_SHELL] = "shell",
	[FHH_THUNDERSTOMP] = "thunderstomp",
	[FHH_FIREBREATH] = "firebreath",
	[FHH_GORE] = "gore",
	[FHH_WARP] = "warp",
	[FHH_SPIT] = "spit",
	[FHH_REFLEXES] = "reflexes",
	[FHH_AVOIDANCE] = "avoidance",
};

FHH_SpellIDsToNames = {
	["resist"] = FHH_ALL_RESISTS,
	["stamina"] = FHH_STAMINA,
	["armor"] = FHH_ARMOR,
	["bite"] = FHH_BITE,
	["claw"] = FHH_CLAW,
	["cower"] = FHH_COWER,
	["dash"] = FHH_DASH,
	["dive"] = FHH_DIVE,
	["growl"] = FHH_GROWL,
	["howl"] = FHH_HOWL,
	["lightning"] = FHH_LIGHTNING,
	["poison"] = FHH_POISON,
	["prowl"] = FHH_PROWL,
	["screech"] = FHH_SCREECH,
	["charge"] = FHH_CHARGE,
	["shell"] = FHH_SHELL,
	["thunderstomp"] = FHH_THUNDERSTOMP,
	["firebreath"] = FHH_FIREBREATH,
	["gore"] = FHH_GORE,
	["warp"] = FHH_WARP,
	["spit"] = FHH_SPIT,
	["reflexes"] = FHH_REFLEXES,
	["avoidance"] = FHH_AVOIDANCE,
};

FHH_AllFamilies =  { 
	FHH_BAT,
	FHH_BEAR,
	FHH_BOAR,
	FHH_CARRION_BIRD,
	FHH_CAT,
	FHH_CRAB,
	FHH_CROCOLISK,
	FHH_GORILLA,
	FHH_HYENA,
	FHH_OWL,
	FHH_RAPTOR,
	FHH_SCORPID,
	FHH_SPIDER,
	FHH_TALLSTRIDER,
	FHH_TURTLE,
	FHH_WIND_SERPENT,
	FHH_WOLF,
	FHH_DRAGONHAWK,
	FHH_RAVAGER,
	FHH_SPOREBAT,
	FHH_NETHER_RAY,
	FHH_WARP_STALKER,
	FHH_SERPENT,
};

FHH_LearnableBy = {
	["growl"] = FHH_ALL_FAMILIES,
	["armor"] = FHH_ALL_FAMILIES,
	["stamina"] = FHH_ALL_FAMILIES, 
	["resist"] = FHH_ALL_FAMILIES,
	["cower"] = FHH_ALL_FAMILIES,
	["reflexes"] = FHH_ALL_FAMILIES,
	["avoidance"] = FHH_ALL_FAMILIES,
	["bite"] = { FHH_BAT, FHH_BEAR, FHH_BOAR, FHH_CARRION_BIRD, FHH_CAT, FHH_CROCOLISK, FHH_GORILLA, FHH_HYENA, FHH_RAPTOR, FHH_SPIDER, FHH_TALLSTRIDER, FHH_TURTLE, FHH_WIND_SERPENT, FHH_WOLF, FHH_DRAGONHAWK, FHH_RAVAGER, FHH_NETHER_RAY, FHH_WARP_STALKER, FHH_SERPENT },
	["claw"] = { FHH_BEAR, FHH_CARRION_BIRD, FHH_CAT, FHH_CRAB, FHH_OWL, FHH_RAPTOR, FHH_SCORPID, FHH_WARP_STALKER },
	["dash"] = { FHH_BOAR, FHH_CAT, FHH_HYENA, FHH_TALLSTRIDER, FHH_WOLF, FHH_RAVAGER },
	["dive"] = { FHH_BAT, FHH_CARRION_BIRD, FHH_OWL, FHH_WIND_SERPENT, FHH_DRAGONHAWK, FHH_NETHER_RAY },
	["prowl"] = { FHH_CAT },
	["screech"] = { FHH_BAT, FHH_CARRION_BIRD, FHH_OWL },
	["poison"] = { FHH_SCORPID },
	["howl"] = { FHH_WOLF },
	["lightning"] = { FHH_WIND_SERPENT },
	["charge"] = { FHH_BOAR },
	["shell"] = { FHH_TURTLE },
	["thunderstomp"] = { FHH_GORILLA },
	["firebreath"] = { FHH_DRAGONHAWK },
	["gore"] = { FHH_RAVAGER, FHH_SPIDER, FHH_BOAR },
	["warp"] = { FHH_WARP_STALKER },
	["spit"] = { FHH_SERPENT },
};

FHH_RequiredLevel = {
	["growl"] = { 1, 10, 20, 30, 40, 50, 60, 70 },
	["bite"] = { 1, 8, 16, 24, 32, 40, 48, 56, 64 },
	["claw"] = { 1, 8, 16, 24, 32, 40, 48, 56, 64 },
	["cower"] = { 5, 15, 25, 35, 45, 55, 65 },
	["dash"] = { 30, 40, 50, },
	["dive"] = { 30, 40, 50, },
	["prowl"] = { 30, 40, 50, },
	["screech"] = { 8, 24, 48, 56, 64 },
	["poison"] = { 8, 15, 40, 56, 64 },
	["howl"] = { 10, 24, 40, 56 },
	["stamina"] = { 10, 12, 18, 24, 30, 36, 42, 48, 54, 60, 70 },
	["armor"] = { 10, 12, 18, 24, 30, 36, 42, 48, 54, 60, 70 },
	["resist"] = { 20, 30, 40, 50, 60 },
	["lightning"] = { 1, 12, 24, 36, 48, 60 },
	["charge"] = { 1, 12, 24, 36, 48, 60 },
	["shell"] = { 20 },
	["thunderstomp"] = { 30, 40, 50 },
	["firebreath"] = { 1, 60 },	-- need to verify level for rank 2
	["gore"] = { 1, 8, 16, 24, nil, nil, 48, 56, 63 },
	["warp"] = 60,
	["spit"] = { 15, 45, 60 },		-- need to verify level for rank 3
	["reflexes"] = 30,
	["avoidance"] = { 30, 60 },
};

FHH_TrainerSpells = {
	["growl"] = 1, -- ranks 1-2 are innate; this is special-cased in HuntersHelper.lua
	["stamina"] = 1,
	["armor"] = 1, 
	["resist"] = 1,
	["reflexes"] = 1,
	["avoidance"] = 1,
};